> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Portfolio Chart

> 历史净值与盈亏曲线数据。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getWalletChart('FbMxP3GVq8TQ36nbYgx4NP9iygMpwAwFWJwW81ioCiSF');

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /wallet/{owner}/chart
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /wallet/{owner}/chart:
    get:
      tags:
        - Wallet
      summary: Get Wallet Portfolio Chart
      description: 历史净值与盈亏曲线数据。
      parameters:
        - name: owner
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletChartResponse'
              example:
                chartData:
                  - date: '2025-06-30'
                    value: 2230.19
                    timestamp: 1751290300000
                    pnlPercentage: 0
                  - date: '2025-07-01'
                    value: 169373.55
                    timestamp: 1751405078000
                    pnlPercentage: 7494.58
                  - date: '2025-07-02'
                    value: 313650.72
                    timestamp: 1751489834000
                    pnlPercentage: 85.18
                  - date: '2025-08-08'
                    value: 933.22
                    timestamp: 1754678416000
                    pnlPercentage: -99.7
                  - date: '2025-08-09'
                    value: 1165.19
                    timestamp: 1754697787000
                    pnlPercentage: 24.86
                  - date: '2025-08-10'
                    value: 1760.46
                    timestamp: 1754866476000
                    pnlPercentage: 51.09
                  - date: '2025-08-11'
                    value: 2442.98
                    timestamp: 1754906226000
                    pnlPercentage: 38.77
                  - date: '2025-08-12'
                    value: 2201.56
                    timestamp: 1754966622000
                    pnlPercentage: -9.88
                  - date: '2025-08-13'
                    value: 3252.33
                    timestamp: 1755103555000
                    pnlPercentage: 47.73
                  - date: '2025-08-14'
                    value: 3318.54
                    timestamp: 1755140737000
                    pnlPercentage: 2.04
                  - date: '2025-08-15'
                    value: 1193.59
                    timestamp: 1755260328000
                    pnlPercentage: -64.03
                  - date: '2025-08-16'
                    value: 533.61
                    timestamp: 1755363640000
                    pnlPercentage: -55.29
                  - date: '2025-08-17'
                    value: 1032.38
                    timestamp: 1755419335000
                    pnlPercentage: 93.47
                  - date: '2025-08-20'
                    value: 1085.76
                    timestamp: 1755679761000
                    pnlPercentage: 5.17
                  - date: '2025-08-22'
                    value: 2144.13
                    timestamp: 1755872884000
                    pnlPercentage: 97.48
                  - date: '2025-08-23'
                    value: 2770.56
                    timestamp: 1755957763000
                    pnlPercentage: 29.22
                  - date: '2025-08-24'
                    value: 2949.83
                    timestamp: 1756069593000
                    pnlPercentage: 6.47
                  - date: '2025-08-25'
                    value: 3133.98
                    timestamp: 1756153222000
                    pnlPercentage: 6.24
                  - date: '2025-08-26'
                    value: 3072.97
                    timestamp: 1756242724000
                    pnlPercentage: -1.95
                  - date: '2025-08-27'
                    value: 4837.43
                    timestamp: 1756335845000
                    pnlPercentage: 57.42
                  - date: '2025-08-28'
                    value: 5936.48
                    timestamp: 1756384328000
                    pnlPercentage: 22.72
                  - date: '2025-08-29'
                    value: 90530.28
                    timestamp: 1756455223000
                    pnlPercentage: 1424.98
                  - date: '2025-09-01'
                    value: 440307.8
                    timestamp: 1756767240000
                    pnlPercentage: 386.37
                  - date: '2025-09-02'
                    value: 471632.06
                    timestamp: 1756817213000
                    pnlPercentage: 7.11
                  - date: '2025-09-03'
                    value: 2582.97
                    timestamp: 1756862176000
                    pnlPercentage: -99.45
                  - date: '2025-09-04'
                    value: 2480.41
                    timestamp: 1756998362000
                    pnlPercentage: -3.97
                  - date: '2025-10-12'
                    value: 55.3
                    timestamp: 1760281678000
                    pnlPercentage: -97.77
                pnl:
                  24h:
                    value: 0
                    percentage: 0
                  30d:
                    value: -2425.11
                    percentage: -97.77
                statistics:
                  dailyOutliersRemoved: 0
                  chartOutliersRemoved: 1
                  totalDataPoints: 27
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getWalletChart('FbMxP3GVq8TQ36nbYgx4NP9iygMpwAwFWJwW81ioCiSF');
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getWalletChart('FbMxP3GVq8TQ36nbYgx4NP9iygMpwAwFWJwW81ioCiSF');
components:
  schemas:
    WalletChartResponse:
      type: object
      properties:
        chartData:
          type: array
          items:
            type: object
            properties:
              date:
                type: string
              value:
                type: number
              timestamp:
                type: integer
              pnlPercentage:
                type: number
        pnl:
          type: object
          properties:
            24h:
              type: object
              properties:
                value:
                  type: number
                percentage:
                  type: number
            30d:
              type: object
              properties:
                value:
                  type: number
                percentage:
                  type: number
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````